\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\clip(-2.5,0.5) rectangle (4.5,4.5);
\draw[line width=0.8pt] (2.0578277025230167,1.4242640687119286) -- (1.6335636338110882,1.4242640687119286) -- (1.6335636338110882,1.) -- (2.0578277025230167,1.) -- cycle; 
\draw[line width=0.8pt] (1.7089225132871864,3.5659301889840256) -- (1.9503043040757824,3.2170249997481952) -- (2.2992094933116127,3.4584067905367912) -- (2.0578277025230167,3.8073119797726216) -- cycle; 
\draw [line width=1pt] (-2.,1.)-- (4.,1.);
\draw [line width=1pt] (-2.,1.)-- (2.0578277025230167,3.8073119797726216);
\draw [line width=1pt] (2.0578277025230167,3.8073119797726216)-- (4.,1.);
\draw [line width=1pt] (2.0578277025230167,3.8073119797726216)-- (2.0578277025230167,1.);
\begin{scriptsize}
\draw (-2.25,0.75) node {B};
\draw (4.25,0.75) node {C};
\draw (2.25,4.25) node {A};
\draw (2.25,0.75) node {$H$};
\end{scriptsize}
\end{tikzpicture}